<nav class="navbar navbar-expand-xl navbar-dark bg-dark sticky-top" xmlns:th="http://www.thymeleaf.org"
     xmlns:sec="http://www.w3.org/1999/xhtml">
    <a class="navbar-brand" href="/">
        <span style="font-size: 20px;">
        <i class="fas fa-utensils"></i>
        </span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="nav navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/">Page d'accueil<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/menu">Menu<span class="sr-only">(current)</span></a>
            </li>
<!--            <li class="nav-item dropdown">-->
<!--                <a class="nav-link dropdown-toggle" href="/" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">-->
<!--                    Cuisines-->
<!--                </a>-->
<!--                <div class="dropdown-menu bg-light" aria-labelledby="navbarDropdown">-->
<!--                    <a class="dropdown-item" href="/menu/category/amerykanska">Cuisine malienne</a>-->
<!--                    <a class="dropdown-item" href="/menu/category/amerykanska">Cuisine américaine</a>-->
<!--                    <a class="dropdown-item" href="/menu/category/azjatycka">Cuisine asiatique</a>-->
<!--                    <a class="dropdown-item" href="/menu/category/wloska">Cuisine italienne</a>-->
<!--                    <a class="dropdown-item" href="/menu/category/meksykanska">Cuisine mexicaine</a>-->
<!--                </div>-->
<!--            </li>-->
            <li class="nav-item">
                <a class="nav-link" href="/menu/category/pizze">Pizzas<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/menu/category/drinki">Boissons<span class="sr-only">(current)</span></a>
            </li>
        </ul>
        <ul class="nav navbar-nav navbar-right">
            <li sec:authorize="!hasAnyRole('ROLE_ADMIN')" class="nav-item">
                <a class="nav-link" href="/order">Ma commande<span class="sr-only">(current)</span></a>
            </li>
            <li sec:authorize="hasAnyRole('ROLE_ADMIN')" class="nav-item"><a class="nav-link" href="/manager">Admin panel</a></li>
            <ul class="navbar-nav">
                <li sec:authorize="isAuthenticated()" class="nav-item mr-3" th:style="${'color: red;'}"  sec:authentication="principal.username"></li>
                <li sec:authorize="!isAuthenticated()" class="nav-item mr-3">
                    <a href="/users/register" class="btn btn-outline-primary">S'inscrire</a>
                </li>
                <li sec:authorize="!isAuthenticated()" class="nav-item mr-3">
                    <a href="/login/login" class="btn btn-outline-success">Connexion</a>
                </li>
                <li sec:authorize="isAuthenticated()" class="nav-item mr-3">
                    <form class="form-inline my-1 my-lg-1" method="post" th:action="@{/app-logout}">
                        <button class="btn btn-outline-danger my-1 my-sm-0" type="submit">Se déconnecter</button>
                    </form>
                </li>
            <form sec:authorize="!hasAnyRole('ROLE_ADMIN')"  action="/menu/search" class="form-inline my-1 my-lg-0">
                <input class="form-control mr-sm-2" type="search" name="category" placeholder="Tapez un mot" aria-label="Search">
                <button class="btn btn-outline-success my-1 my-sm-0" type="submit">Chercher</button>
            </form>
        </ul>
        </ul>
    </div>
</nav>
